function RBH_GetChannelMembers(channel)
   local index = GetChannelName(channel)
   local count = GetNumChannelMembers(index)
   print(count)
   local memberList = {}
   local i
   
   for i = 1, count do
      memberList[i] = GetChannelRosterInfo(index, i)
      print(memberList[i])
   end
   
   return memberList
end

--Sends an addon message to all members of registered channels
function RBH_SendAddonMessageToNetwork(priority, prefix, msg)
    --send to realm channel
    if (RBH_Config["RealmChannel"]) then
        ChatThrottleLib:SendAddonMessage(priority, prefix, msg, "CHANNEL", RBH_REALM_CHANNEL)        
    end
    
    --send to private channel
    if (RBH_Config["PrivateChannel"]) then
        ChatThrottleLib:SendAddonMessage(priority, prefix, msg, "CHANNEL", RBH_PRIVATE_CHANNEL)      
    end
    
    --send to guild
    if (RBH_Config["GuildChannel"]) then   
       ChatThrottleLib:SendAddonMessage(priority, prefix, msg, "GUILD");       
    end
end