function RBH_HL_DoSync(sender)   
    local i,n
    if RBH_HitList == nil then  
        RBH_HitList={};
    end        
    n = #RBH_HitList        
    for  i = 1, n do        
      msg = RBH_BountyToString(i)
      
      rbh_debug("Send: "..msg)   
      
      --ChatThrottleLib:SendAddonMessage("NORMAL","RBH_HL_UPDATE",msg,"WHISPER",sender);
      ChatThrottleLib:SendAddonMessage("BULK","RBH_HL_UPDATE",msg,"GUILD");
    end
end    

function RBH_HL_DoUpdate(msg,sender)  
    local id,name,issuer,amount,state,claimer,timestamp,f,i,audit,faction,realm,zone,xcoord,ycoord,intelage,class,race,level,guild
    local f, i
    id,timestamp,name,issuer,amount,claimer,state,audit,faction,realm,zone,xcoord,ycoord,intelage,class,race,level,guild = string.split(",",msg) 
    
    --must have valid name and amount
    if name == nil or amount == nil then 
        rbh_debug("RBH_HL_DoUpdate: Error: name or amount is nil.")
        return
    end        
    
    if intelage == nil then 
        intelage = 0
    end   
    
    f,i = InHitList(id)
    rbh_debug("Is InHitList["..i.."]:"..tostring(f))
    
    if f == false then
    
        rbh_debug("New: "..msg)
        
        table.insert(RBH_HitList,{id=id,name=name,amount=amount,issuer=issuer,timestamp=timestamp,state=state,claimer=claimer,audit=audit,faction=faction,realm=realm,zone=zone,xcoord=xcoord,ycoord=ycoord,intelage=tonumber(intelage),class=class,race=race,level=level,guild=guild});  
        RBH_HitListUpdate()        
               
    elseif (tonumber(timestamp) > tonumber(RBH_HitList[i].timestamp)) then       
        
        rbh_debug("Update: "..msg)
        
        RBH_HitList[i].id = id
        RBH_HitList[i].name = name
        RBH_HitList[i].amount = amount
        RBH_HitList[i].issuer = issuer
        RBH_HitList[i].timestamp = timestamp
        RBH_HitList[i].state = state
        RBH_HitList[i].claimer = claimer   
        RBH_HitList[i].audit = audit
        RBH_HitList[i].faction = faction
        RBH_HitList[i].realm = realm
        if RBH_HitList[i].intelage == nil then
           RBH_HitList[i].intelage = 0
        end      
        if (tonumber(intelage) > tonumber(RBH_HitList[i].intelage)) then
            RBH_HitList[i].zone = zone
            RBH_HitList[i].xcoord = xcoord
            RBH_HitList[i].ycoord = ycoord
            RBH_HitList[i].intelage = tonumber(intelage)
            RBH_HitList[i].class = class
            RBH_HitList[i].race = race
            RBH_HitList[i].level = level
            RBH_HitList[i].guild = guild
            RBH_HitListUpdate()
        end
    end    
end

function RBH_BountyToString(i)
    local name = RBH_HitList[i].name
    local amount = RBH_HitList[i].amount   
    local id = RBH_HitList[i].id      
    local issuer = RBH_HitList[i].issuer
    local timestamp = RBH_HitList[i].timestamp
    local state = RBH_HitList[i].state
    local claimer = RBH_HitList[i].claimer  
    local audit = RBH_HitList[i].audit
    local faction = RBH_HitList[i].faction
    local realm = RBH_HitList[i].realm
    local zone = RBH_HitList[i].zone
    local xcoord = RBH_HitList[i].xcoord
    local ycoord = RBH_HitList[i].ycoord
    local intelage = RBH_HitList[i].intelage
    local class = RBH_HitList[i].class
    local race = RBH_HitList[i].race
    local level = RBH_HitList[i].level
    local guild = RBH_HitList[i].guild
   
    if audit == nil then 
        audit  = 0
    end   
    if faction == nil then
        faction = "UNKNOWN"
    end   
    if RBH_HitList[i].realm == nil then
        realm = ""
    end   
    if RBH_HitList[i].zone == nil then
       zone = ""
    end   
    if RBH_HitList[i].xcoord == nil then
       xcoord = ""
    end   
    if RBH_HitList[i].ycoord == nil then
       ycoord = ""
    end   
    if RBH_HitList[i].class == nil then
       class = ""
    end  
    if RBH_HitList[i].race == nil then
       race = ""
    end
    if RBH_HitList[i].level == nil then
       level = ""
    end   
    if RBH_HitList[i].intelage == nil then
       intelage = 0
    end   
    if RBH_HitList[i].guild == nil then
        guild = ""
    end
    local msg = id..","..timestamp..","..name..","..issuer..","..amount..","..claimer..","..state..","..audit..","..faction..","..realm..","..zone..","..xcoord..","..ycoord..","..intelage..","..class..","..race..","..level..","..guild;
  
    return msg
end